import { ReactNode } from 'react';
import { NativeTouchEvent, TextInputFocusEventData } from 'react-native';
import { TextInputChangeEventData } from 'react-native/Libraries/Components/TextInput/TextInput';
import { NativeSyntheticEvent } from 'react-native/Libraries/Types/CoreEventTypes';
import { SizeEnum, StatusEnum } from './enums';
export type InputElementType<Value> = {
    disabled?: boolean;
    label?: string | ReactNode;
    message?: string;
    name: string;
    onBlur?: (value?: Value | null, e?: NativeSyntheticEvent<TextInputFocusEventData>) => void;
    onChange?: (value?: Value | null, e?: NativeSyntheticEvent<TextInputChangeEventData>) => void;
    onClick?: (value?: Value | null, e?: NativeSyntheticEvent<NativeTouchEvent>) => void;
    onFocus?: (value?: Value | null, e?: NativeSyntheticEvent<TextInputFocusEventData>) => void;
    placeholder?: string;
    size?: SizeEnum;
    status?: StatusEnum;
    value?: Value;
};
